import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class cargaDinamica {

    /***
     * Permite cargar un mtodo en una clase indicada de forma dinmica
     *
     * @param a
     * @throws ClassNotFoundException
     * @throws IllegalAccessException
     * @throws InstantiationException
     * @throws NoSuchMethodException
     * @throws SecurityException
     * @throws InvocationTargetException
     * @throws IllegalArgumentException
     */
    public static void cargaDinamica (String clase, String metodoLlamado, String a) throws ClassNotFoundException, InstantiationException, IllegalAccessException, SecurityException, NoSuchMethodException, IllegalArgumentException, InvocationTargetException {
       
       
            Object tempClass = Class.forName(clase).newInstance();
           
            Class claseCargada = tempClass.getClass();
            //Firma del metodo.
            Class[] argumentos = new Class[1];
            argumentos[0] = String.class;
            
           
            //Busqueda del metodo a ejecutar
            Method metodo = claseCargada.getDeclaredMethod(metodoLlamado, argumentos);
            //Ejecucion del m?todo pasandole la clase de este y los parametros.
            metodo.invoke(tempClass, a);
       
       
    }

}
